/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\items\Craftable artys\RandomPeerlessRecipeBag.cs
Lines of code: 37
***********************************************************/


using Server;
using System;

namespace Server.Items
{
	public class RandomPeerlessRecipeBag : Bag
	{
		
		[Constructable]
		public RandomPeerlessRecipeBag(int level, int crafttype, int amt)
		{
		Name = String.Format("Level: {0} Skill: {1}",level,crafttype);
		
		for(int i=0;i<amt;i++)DropItem(RandomRecipe.Peerless(level,crafttype));
		}
		
		[Constructable]
		public RandomPeerlessRecipeBag(int amt)
		{
		for(int i=0;i<amt;i++)DropItem(RandomRecipe.Peerless());
		}		
		
		[Constructable]
		public RandomPeerlessRecipeBag()
		{
		DropItem(RandomRecipe.Peerless());
		}			
		
		public RandomPeerlessRecipeBag( Serial serial ) : base( serial )
		{
		}		

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
		
	
	}
}
